<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceparallel__m.html">parallel_m</a></li><li class="navelem"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_allreduce</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">parallel_m::parallel_allreduce Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_m::parallel_allreduce</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html#a9eed904e7fae206d82f232ee492aa1c7">parallel_allreduce_int8_0d</a>(A, B, n, MPI_TYPE_, op, MPI_COMM, ierr)</td><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_m::parallel_allreduce</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html#adb9790f1416a67be7f3cc4dd987d302f">parallel_allreduce_int8_1d</a>(A, B, n, MPI_TYPE_, op, MPI_COMM, ierr)</td><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_m::parallel_allreduce</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html#a79bea3d9276a8fd7db895f0c6126b878">parallel_allreduce_int_0d</a>(A, B, n, MPI_TYPE_, op, MPI_COMM, ierr)</td><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_m::parallel_allreduce</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html#a7164d929c5a8e3b73def9e3facd1e370">parallel_allreduce_int_1d</a>(A, B, n, MPI_TYPE_, op, MPI_COMM, ierr)</td><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_m::parallel_allreduce</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html#ab61b031ca6e6d13494267a0545a721f3">parallel_allreduce_int_2d</a>(A, B, n, MPI_TYPE_, op, MPI_COMM, ierr)</td><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_m::parallel_allreduce</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html#a53ee376c187d120abc10f7c3844007cf">parallel_allreduce_int_3d</a>(A, B, n, MPI_TYPE_, op, MPI_COMM, ierr)</td><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_m::parallel_allreduce</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html#aa9fabf0abbc58f28c6f64615c525f751">parallel_allreduce_real_0d</a>(A, B, n, MPI_TYPE_, op, MPI_COMM, ierr)</td><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_m::parallel_allreduce</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html#a9b8f87d69c585c54fbc51b44e939f3af">parallel_allreduce_real_1d</a>(A, B, n, MPI_TYPE_, op, MPI_COMM, ierr)</td><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_m::parallel_allreduce</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html#a6a36fe3abe6cea07fd541cb0bab1a6b7">parallel_allreduce_real_2d</a>(A, B, n, MPI_TYPE_, op, MPI_COMM, ierr)</td><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_m::parallel_allreduce</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html#a9efbec15d5daf0b4f0d117b6fb08c0f3">parallel_allreduce_real_3d</a>(A, B, n, MPI_TYPE_, op, MPI_COMM, ierr)</td><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_m::parallel_allreduce</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html#af492ed7c57ad2f6e75798105626f0810">parallel_allreduce_real_4d</a>(A, B, n, MPI_TYPE_, op, MPI_COMM, ierr)</td><td class="entry"><a class="el" href="interfaceparallel__m_1_1parallel__allreduce.html">parallel_m::parallel_allreduce</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
